API ReferenceProject User
Assigns User(s) recursively to a Task. User is assigned even when he is not on Board or not on Project
Assigns User(s) recursively to a Task. User is assigned even when he is not on Board or not on Project
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new TaskUserRecursiveAssign resource
TypeScript Definitions
Use the request body type in TypeScript.
projectUserIds?array<string>
assignAllFromProject?|
Default
falseassignAllFromBoard?|
Default
falsetaskId*string
Format
uuidResponse Body
curl -X POST "https://example.com/project/recursive-assign-task-users" \ -H "Content-Type: application/json" \ -d '{ "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "timePlanned": 0, "role": "none"}